
package com.zhili.zkservicecenter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author jek
 */
@Data
@TableName("driver_veh_exchange_bind")
@ApiModel(value = "DriverVehExchangeBind对象",description = "最后一次换电记录")
public class DriverVehExchangeBind {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "司机id")
    private Integer driverId;

    @ApiModelProperty(value = "车牌id")
    private Integer vehId;

    @ApiModelProperty(value = "vin码")
    private String vin;

    @ApiModelProperty(value = "车型")
    private String vehModel;

    @ApiModelProperty(value = "累积行驶里程")
    private Float totalMileage;

    @ApiModelProperty(value = "累积换电次数")
    private Integer totalExchangeCnt;

    @ApiModelProperty(value = "累计换电量")
    private Float totalExchangePower;

    @ApiModelProperty(value = "司机对这个车最后一次换电的换电记录id")
    private Integer exchangeId;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty(value = "车牌号")
    private String plate;
}
