package com.zhili.zkservicecenter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author jek
 */
@Data
@TableName("exchange_record")
@ApiModel(value = "ExchangeRecord对象",description = "换电记录")
public class ExchangeRecord {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "换电编号")
    private String exchangeNo;

    @ApiModelProperty(value = "站点编号")
    private String stationCode;

    @ApiModelProperty(value = "站点位置")
    private String stationAddress;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机电话")
    private String driverPhone;

    @ApiModelProperty(value = "司机id")
    private Integer driverId;

    @ApiModelProperty(value = "vin")
    private String vin;

    @TableField(exist=false)
    @ApiModelProperty(value = "车型")
    private String model;

    @TableField(exist=false)
    @ApiModelProperty(value = "车辆总里程")
    private Double totalMileage;

    @TableField(exist=false)
    @ApiModelProperty("车辆id")
    private Integer vehicleId;

    @ApiModelProperty(value = "车牌号")
    private String plate;

    @ApiModelProperty(value = "亏电电池sn")
    private String sourceBatterySn;

    @ApiModelProperty(value = "满电电池sn")
    private String targetBatterySn;

    @ApiModelProperty(value = "亏电电池容量")
    private Double sourceCapacity;

    @ApiModelProperty(value = "满电电池容量")
    private Double targetCapacity;

    @ApiModelProperty(value = "亏电电池soc")
    private Double sourceSoc;

    @ApiModelProperty(value = "满电电池soc")
    private Double targetSoc;

    @ApiModelProperty(value = "亏电电池soh")
    private Double sourceSoh;

    @ApiModelProperty(value = "满电电池soh")
    private Double targetSoh;

    @ApiModelProperty(value = "换电量")
    private Double exchangePower;

    @ApiModelProperty(value = "换电费")
    private Double powerFee;

    @ApiModelProperty(value = "服务费")
    private Double serviceFee;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;
}
