package com.zhili.zkservicecenter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author jek
 */
@Data
@TableName("veh_info")
@ApiModel(value = "VehInfo对象",description = "车辆信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class VehInfo {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "vin")
    private String vin;

    @ApiModelProperty(value = "车牌号")
    private String plate;

    @ApiModelProperty(value = "换电总次数")
    private Integer totalExchangeCnt;

    @ApiModelProperty(value = "累计换电量")
    private Double totalExchangePower;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


}
