package com.zhili.zkservicecenter.init;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.zhili.zkservicecenter.entity.BmsAlarmDict;
import com.zhili.zkservicecenter.entity.ChargerAlarmDict;
import com.zhili.zkservicecenter.entity.SuDianAlarmDict;
import com.zhili.zkservicecenter.mapper.BmsAlarmDictMapper;
import com.zhili.zkservicecenter.mapper.ChargerAlarmDictMapper;
import com.zhili.zkservicecenter.mapper.SdAlarmDictMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zhaoyuanqi
 */
@Component
public class DataInit {

    @Autowired
    private ChargerAlarmDictMapper chargerAlarmDictMapper;
    @Autowired
    private BmsAlarmDictMapper bmsAlarmDictMapper;
    @Autowired
    private SdAlarmDictMapper sdAlarmDictMapper;

    /**
     * 静态map对象
     */
    private static Map<Integer, String> alarmMsgMap = new HashMap<>();
    private static Map<String, List<BmsAlarmDict>> bmsAlarmMsgMap = new HashMap<>();
    private static Map<Integer, List<Integer>> bmsAlarmValueMap = new HashMap<>();
    private static Map<Integer, String> bmsAlarmNameMap = new HashMap<>();
    private static Map<Integer, String> sdAlarmMap = new HashMap<>();
    @PostConstruct
    public void init() {
        initMap();
    }

    public void initMap() {
        List<ChargerAlarmDict> alarmRecordMsgList = chargerAlarmDictMapper.selectList(new LambdaQueryWrapper<ChargerAlarmDict>()
                .orderByAsc(ChargerAlarmDict::getAlarmCode));
        for (ChargerAlarmDict alarmRecordMsg : alarmRecordMsgList) {
            alarmMsgMap.put(alarmRecordMsg.getAlarmCode(), alarmRecordMsg.getAlarmName());
        }

        List<String> frameIds = bmsAlarmDictMapper.getFrameIds();
        for (String frameId : frameIds) {
            List<BmsAlarmDict> bmsAlarmDictList = bmsAlarmDictMapper.listMap(frameId);
            bmsAlarmMsgMap.put(frameId, bmsAlarmDictList);
        }

        List<BmsAlarmDict> alarmValues = bmsAlarmDictMapper.getAlarmValues();
        for (BmsAlarmDict alarmValue : alarmValues) {
            String[] split = alarmValue.getAlarmValue().split(",");
            ArrayList<Integer> arrayList = new ArrayList<>();
            for (String s : split) {
                arrayList.add(Integer.valueOf(s));
            }
            bmsAlarmValueMap.put(alarmValue.getAlarmCode(), arrayList);
            bmsAlarmNameMap.put(alarmValue.getAlarmCode(), alarmValue.getAlarmName());
        }
        List<SuDianAlarmDict> suDianAlarmDicts = sdAlarmDictMapper.selectList(new LambdaQueryWrapper<>());
        for (SuDianAlarmDict suDianAlarmDict : suDianAlarmDicts) {
            sdAlarmMap.put(suDianAlarmDict.getAlarmCode(),suDianAlarmDict.getAlarmName());
        }
    }

    public static Map<Integer, String> getChargerAlarmMap() {
        return alarmMsgMap;
    }

    public static Map<String, List<BmsAlarmDict>> getBmsAlarmMsgMap() {
        return bmsAlarmMsgMap;
    }

    public static Map<Integer,String> getsdAlarmMap() {
        return sdAlarmMap;
    }
}
